Download it now!
Bug 131389 - Crash when clearing table background color from sidebar (GTK3)
Summary: Crash when clearing table background color from sidebar (GTK3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-03-17 18:53 UTC by Gabor Kelemen
Modified: 2020-03-19 16:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer master (8.44 KB, application/vnd.oasis.opendocument.text)
2020-03-17 18:53 UTC, Gabor Kelemen
Details
Backtrace (83.67 KB, text/x-log)
2020-03-17 19:00 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2020-03-17 18:53:12 UTC
Created attachment 158760 [details]
Example file from Writer master

Writer crashes if the table background color is unset from the sidebar.

1, Open attached file with a simple table having cell background color.
2, Click in the red cell and using the TableCellBackGroundColor UNO command from sidebar select "No fill" option.
3, Crash.

This happens with GTK3 vclplug, bug not with gen or qt5.
The TableCellBackGroundColor command is available from the Table toolbar but does not cause crash if used from there.

Version: 7.0.0.0.alpha0+
Build ID: f4dd9ecdc21696b360dedf7fefa371c8858c1830
CPU threads: 16; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Gabor Kelemen 2020-03-17 19:00:58 UTC
Created attachment 158761 [details]
Backtrace
Comment 2 Gabor Kelemen 2020-03-17 19:13:42 UTC
Bibisected with bibisect-linux-64-6.5 to:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=14e26096f0476b8ecb70511c304a0cdf5440ef7a

author	Caolán McNamara <caolanm@redhat.com>	2020-01-09 15:45:46 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-01-10 15:13:45 +0100

make welded toolbars on-demand that were previously on-demand
Comment 3 Commit Notification 2020-03-18 09:13:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f493cd83fbb2e572cf3d85aaf57fb202d763756d

tdf#131389 crash clearing cell bg from sidebar

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-03-19 16:35:29 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 9d7fdcd6b5c7b5a9fe781bb99b135fba7d04ddec
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!